IncludeSh 'utils'

GetPidOfExistingProcessByPidFile()
{
    local _pidFile="${1}"
    local _exeFile="${2}"
    # @pid : "${3:-}" # optional

    local _pid=''

    {
        test -f "${_pidFile}" ||
            # pid file doesn't exist
            return 1

        IFS='' read -r _pid < "${_pidFile}" ||
            # ignore 'read' errors
            true

        test "${_pid}" -eq "${_pid}" ||
            # it seems pid file has wrong content
            return 2

        test "/proc/${_pid}/exe" -ef "${_exeFile}" ||
            # binary file is not the same as we expect
            return 3

    } 1>/dev/null 2>&1

    if [ -n "${3:-}" ]; then
        AssignAtVar "${3}" "${_pid}"
    fi

    return 0
}

IsProductStarting()
{
    GetPidOfExistingProcessByPidFile '/var/run/kesl.pid' '/opt/kaspersky/kesl/libexec/kesl' ||
        return $?
}
